# abstract ByteArray(ByteArrayData)

#### package openfl.utils

#### from ByteArrayData, to ByteArrayData,

Available on all platforms

### Constructor

###

`inline new (length:Int = 0)`

### Variables

###

`length:Int`

### Methods

###

`toArrayBuffer ():ArrayBuffer`

### Static variables

###

`staticdefaultObjectEncoding:UInt`

### Static methods

###

`staticfromArrayBuffer (buffer:ArrayBuffer):ByteArray`

###

`staticfromBytes (bytes:Bytes):ByteArray`

###

`staticfromBytesData (bytesData:BytesData):ByteArray`

###

`staticfromFile (path:String):ByteArray`

###

`staticfromLimeBytes (bytes:LimeBytes):ByteArray`

###

`staticloadFromBytes (bytes:Bytes):Future<ByteArray>`

###

`staticloadFromFile (path:String):Future<ByteArray>`